Page MenuHomePhabricator

MachineFrameInfo: Track whether MaxCallFrameSize is computed yet
ClosedPublic

Authored by MatzeB on Apr 26 2017, 4:25 PM.

Details

Summary

This tracks whether MaxCallFrameSize is computed yet. Ideally we would
assert and fail when the value is queried before it is computed, however
this fails various targets that need to be fixed first.

Diff Detail

Repository
rL LLVM

Event Timeline

MatzeB created this revision.Apr 26 2017, 4:25 PM
MatzeB updated this revision to Diff 97009.Apr 27 2017, 4:00 PM
MatzeB retitled this revision from Assert that getMaxCallFrameSize() is computed before it is queried to MachineFrameInfo: Track whether MaxCallFrameSize is computed yet.
MatzeB edited the summary of this revision. (Show Details)
MatzeB added reviewers: rnk, rengolin, mcrosier, qcolombet.

Let's make the assert a TODO but keep adding MachineFrameInfo::isMaxCallFrameInfo() computed. As it turned out to be useful to break some cycles in situations where querying wrong maxcallframesize is not a correctness issue but just a small performance one.

MatzeB updated this revision to Diff 97143.Apr 28 2017, 12:39 PM

bring back a TODO comment that was accidentally deleted.

MatzeB updated this revision to Diff 97145.Apr 28 2017, 12:41 PM

bring back TODO comment that was deleted by accident.

qcolombet edited edge metadata.May 1 2017, 7:49 AM

Hi Matthias,

however this fails various targets that need to be fixed first.

What are the PRs for that?

Is this something you plan to fix? (just asking :))

LGTM.

Cheers,
-Quentin

Hi Matthias,

however this fails various targets that need to be fixed first.

What are the PRs for that?

Is this something you plan to fix? (just asking :))

I fixed ARM (see dependent patches). I do not plan to fix the other targets but will file PRs.

Thanks.

This revision was automatically updated to reflect the committed changes.